Nested block & entities that belong to a block

Discussion in 'AutoCAD' started by Gustavo Guidi, Jan 11, 2005.

  1. How can I know the entities that a block is made of (that's a way to know
    even if a block is nested)
    Thanks
     
    Gustavo Guidi, Jan 11, 2005
    #1
  2. Gustavo Guidi

    Bill DeShawn Guest

    One way:
    If you suspect that an object within a block is another block you can list
    it with XLIST.

    You can use REFEDIT, pick everything in the block and then list everything
    in the block.

    You can explode a block, list all P(revious) objects, and then undo the
    explode.



    You are much more capable than you think!
     
    Bill DeShawn, Jan 11, 2005
    #2
  3. Not sure if this is the proper way to handle this
    type of thing. If anyone knows a better way,
    please share.


    ; Function to determine if a given object
    ; is nested in a block/insert definition.
    ; Arguments:
    ; [object] - vla-object
    ; return values: t, nil, or error message
    ; Example:
    ;(nestedObject-p (vlax-ename->vla-object (car (nentsel))))
    (defun nestedObject-p (object)
    (not
    (wcmatch
    (vla-get-name
    (vla-objectidtoobject
    (vla-get-document object)
    (vla-get-ownerid object)))
    "`*Model_Space,`*Paper_Space")) )


    Comments anyone?
     
    Jason Piercey, Jan 11, 2005
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.